#include <iostream>

using namespace std;

int main()
{
ios_base::sync_with_stdio(false);
cin.tie(0);
cout.tie(0);
      int a,b;
          int s = 0;
          cin>>a>>b;
            for(int i = 0; i < a; i++)
            {
                for (int j = 0; j < b; j++)
                {
                    if (i == 0 || i == a - 1 || j == 0 || j == b - 1) s++;
                }
            }

            int m1[500][500];
            int br1 = 2+a;
            for (int i = 0; i < a - 2; i++)
            {
                for (int j = 0; j < b - 2; j++)
                {
                    m1[i][j] = br1;
                    br1++;
                }
                br1 += 2;
            }


            bool obrenovac = true;
            for (int i = 0; i < a - 2; i++)
            {
                for (int j = 0; j < b - 2; j++)
                {
                    if (obrenovac)
                    {
                        if (j % 2 != 0)
                        {
                            s++;

                        }

                    }
                    else
                    {
                        if (j % 2 == 0)
                        {
                            s++;

                        }
                    }


                }
                if (i % 2 == 0) obrenovac = false;
                else obrenovac = true;

            }
            cout<<s<<'\n';

        }